Bug 171046 - Review Request: gv - A X front-end for the Ghostscript PostScript(TM) interpreter
Review Request: gv - A X front-end for the Ghostscript PostScript(TM) interpr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
David Lawrence
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-17 13:40 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-15 16:37:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-10-17 13:40:39 EDT
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/gv.spec
SRPM Name or Url: http://www.cora.nwra.com/~orion/fedora/gv-3.6.1-1.src.rpm
Description: 

Gv is a user interface for the Ghostscript PostScript(TM) interpreter.
Gv can display PostScript and PDF documents on an X Window System.

Install the gv package if you'd like to view PostScript and PDF
documents on your system.  You'll also need to have the ghostscript
package and X installed.
Comment 2 Orion Poplawski 2005-10-17 15:25:36 EDT
(In reply to comment #1)
> FC4+ only, right?  

Yup.  This is an orphaned FC3 package, although the spec file is fairly
different since it uses the updated GNU source.
Comment 3 Gérard Milmeister 2005-10-20 17:32:18 EDT
* Description: leave out the second paragraph
* When installing: 
  install-info: warning: no info dir entry in `/usr/share/info/gv.info'
  you should add "--section" and "--entry"
* .desktop file:
  add "MimeType=application/postscript;"
  this requires in %post and %postun
  /usr/bin/update-mime-database /usr/share/mime > /dev/null 2>&1 || :
  /usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :
  and in Requires(post) and Requires(postun):
  desktop-file-utils, shared-mime-info
Comment 4 Orion Poplawski 2005-10-20 18:14:57 EDT
http://www.cora.nwra.com/~orion/fedora/gv-3.6.1-2.src.rpm

(In reply to comment #3)
> * Description: leave out the second paragraph

Done.

> * When installing: 
>   install-info: warning: no info dir entry in `/usr/share/info/gv.info'
>   you should add "--section" and "--entry"

And what should they be?  Sorry, zero experience with install-info.  I put in
what I thought should go for --entry.  That silenced install-info.

> * .desktop file:
>   add "MimeType=application/postscript;"
>   this requires in %post and %postun
>   /usr/bin/update-mime-database /usr/share/mime > /dev/null 2>&1 || :
>   /usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :

Done.  Also added pdf/postscript references where appropriate.

>   and in Requires(post) and Requires(postun):
>   desktop-file-utils, shared-mime-info
> 

I required /usr/bin/update-desktop-database and /usr/bin/update-mime-database
since I like doing it that way.

Thanks for the review!
Comment 5 Gérard Milmeister 2005-10-20 18:47:55 EDT
(In reply to comment #4)

> > * When installing: 
> >   install-info: warning: no info dir entry in `/usr/share/info/gv.info'
> >   you should add "--section" and "--entry"
> 
> And what should they be?  Sorry, zero experience with install-info.  I put in
> what I thought should go for --entry.  That silenced install-info.
Ok, that seems to work out alright.

in gv.desktop:
"application/pdf" instead of "applicatation/pdf"
Maybe there should be a "Comment=" too, this will appear as a tooltip (e.g.
"View PostScript and PDF files".
"StartupWMClass=GV" does also work, if you want to include it.
Comment 6 Orion Poplawski 2005-10-20 19:05:07 EDT
(In reply to comment #5)
> in gv.desktop:
> "application/pdf" instead of "applicatation/pdf"
> Maybe there should be a "Comment=" too, this will appear as a tooltip (e.g.
> "View PostScript and PDF files".
> "StartupWMClass=GV" does also work, if you want to include it.
> 

Fixed typo and added the other entries.  What does StartupWMClass do?

http://www.cora.nwra.com/~orion/fedora/gv-3.6.1-3.src.rpm
Comment 7 Gérard Milmeister 2005-10-21 14:04:20 EDT
(In reply to comment #6)
What does StartupWMClass do?
When starting gv from the menu or icon, this causes some feedback
such as a busy cursor until the main window (where the window class in
this case is GV) is shown.
GNOME programs normally don't need this.
Comment 8 Orion Poplawski 2005-10-21 14:09:19 EDT
Ah. Thanks.  Is this approved?
Comment 9 Gérard Milmeister 2005-10-21 14:31:02 EDT
APPROVED

Note You need to log in before you can comment on or make changes to this bug.